// OBJLoader.h: Schnittstelle fr die Klasse OBJLoader
//
//////////////////////////////////////////////////////////////////////

#ifndef OBJLOADER_H
#define OBJLOADER_H


#include "Vector4.h"


typedef struct
{
	int *Indices;     // vertex indices
	int numPoints;    // number of vertex points
	Vector4 normal;
} MyPolygon;


class OBJLoader
{
	public:

		// constructors/destructors
		OBJLoader();
		~OBJLoader();

		// methods
		bool LoadObject(char *filename);
		void clear();

		// fields
		int totalVertices;
		int totalFaces;
		Vector4 *vertices;
		MyPolygon *polyList;
};

#endif