// TGALoader.h: Schnittstelle fr die Klasse TGALoader
//
//////////////////////////////////////////////////////////////////////

#ifndef TGALOADER_H
#define TGALOADER_H

#include <stdio.h>

#include "Arrays.h"


class TGALoader
{
   public:

	   // constructors/destructors
       TGALoader();
       ~TGALoader();

	   // methods
       bool LoadTGA(char *file);
	   bool WriteTGA(char *file, int width, int height, unsigned char *image);
       void clear();

	   void LoadDetail(char* file);
	   void LoadBumpmap(char* file);
	   void LoadNormalMap(char* file);

	   // fields
       unsigned int ID;
       int imageWidth;
       int imageHeight;
       unsigned char *image;
       int type;

	   unsigned int detailHandle;
	   unsigned int bumpmapHandle;
	   unsigned int invertedBumpmapHandle;
	   unsigned int normalmapHandle;
};

#endif